:root{
  --desktop-container-height: 700px;
  --mobile-container-height: 600px;
  --navigation-height: 44px;
  --dropdown-height: 47px;
  --desktop-swiper-height: calc(var(--desktop-container-height) - var(--navigation-height));
  --mobile-content-height: calc(var(--mobile-container-height) - var(--navigation-height));
  --mobile-swiper-height: calc(var(--mobile-container-height) - var(--navigation-height) - var(--dropdown-height) - 1px);
}

.menu-block * {
    box-sizing: border-box;
}
.menu-block {
    display: flex;
    height: var(--desktop-container-height);
    overflow: hidden;
    width: 100%;
    margin-block-start: 0 !important;
  }
  
  .menu-block__menu {
    display: flex;
    flex-direction: column;
    gap: 16px;
    flex: 0 0 33%;
    overflow-y: auto;
    padding: 64px;
  }

  .menu-block__text h2,
  .menu-block__text-mobile h2{
    color: var(--wp--preset--color--new-red);
    margin-block-start: 0;
    margin-block-end: 16px;
  }

  .menu-block__text p,
  .menu-block__text-mobile p{
    margin-block-start: 16px;
    margin-block-end: 36px;
  }
  
  .menu-block__text-mobile{
    display: none;
    padding: 10px;
  }
  
  .menu-block__content {
    flex: 1 0 66%;
    position: relative;
    min-width: 0;
  }

  .menu-block__menu-item {
    display: flex;
    align-items: center;
    padding: 9px;
    justify-content: space-between;
    transition: all 0.3s ease;
    cursor: pointer;
    border: 1px solid transparent;
  }

  .menu-block__menu-item svg path{
    transition: all 0.3s ease;
  }


  .menu-block__menu-item .item-content{
    display: flex;
    align-items: center;
    gap: 16px;
  }

  .menu-block__menu-item.active{
    background-color: var(--wp--preset--color--new-red);
    color: var(--wp--preset--color--maczna-biel);
    border: 1px solid var(--wp--preset--color--new-red);
  }

  .menu-block__menu-item.active svg path{
    fill: var(--wp--preset--color--maczna-biel);
  }

  .menu-block__menu-item:hover:not(.active){
    color: var(--wp--preset--color--new-red);
    border: 1px solid var(--wp--preset--color--new-red);
  }

  .menu-block__menu-item:hover:not(.active) svg path{
    fill: var(--wp--preset--color--new-red);
  }


  
  /* dropdown (mobile) */
  .menu-block__dropdown {
    display: none;
    position: relative;
  }

  .menu-block__dropdown .item-content {
    display: flex;
    align-items: center;
    gap: 16px;
  }

  .menu-block__dropdown-toggle,
  .menu-block__dropdown-list-item {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    cursor: pointer;
    transition: all 0.3s ease;
  }

  .menu-block__dropdown-toggle{
    border: 1px solid var(--wp--preset--color--zlote-zboze);
  }

  .menu-block__dropdown-toggle .item-arrow {
    display: none;
  }

  .menu-block__dropdown.is-open .menu-block__dropdown-toggle{
    border: 1px solid var(--wp--preset--color--new-red);
    background-color: var(--wp--preset--color--new-red);
  }

  .menu-block__dropdown.is-open .menu-block__dropdown-toggle .item-content{
    color: var(--wp--preset--color--maczna-biel);
  }

  .menu-block__dropdown.is-open .menu-block__dropdown-toggle > svg {
    transform: rotate(180deg);
  }

  .menu-block__dropdown.is-open .menu-block__dropdown-toggle svg path {
    fill: var(--wp--preset--color--maczna-biel);
  }

  .menu-block__dropdown-list {
    display: none;
    list-style: none;
    margin: 0;
    padding: 0;
    border: 1px solid var(--wp--preset--color--new-red);
    border-top: none;
    background: #fff;
    position: absolute;
    width: 100%;
    z-index: 10;
    max-height: 260px;
    overflow-y: auto;
  }
  .menu-block__dropdown.is-open .menu-block__dropdown-list {
    display: block;
  }
  
  /* standard swiper container */
  .menu-block__swiper-container {
    display: none;
    width: 100%;
    height: 100%;
  }
  .menu-block__swiper-container.is-active {
    display: block;
  }
  .menu-block__swiper {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
  }

  .menu-block__swiper .swiper-wrapper {
    height: var(--desktop-swiper-height);
    border-left: 1px solid var(--wp--preset--color--maka-zytnia);
  }

  .menu-block__swiper .menu-navigation {
    height: var(--navigation-height);
    display: flex;
    border: 1px solid var(--wp--preset--color--maka-zytnia);
  }

  .menu-block__swiper .menu-navigation .swiper-button-prev-menu,
  .menu-block__swiper .menu-navigation .swiper-button-next-menu{
    flex: 1 1 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    gap: 10px;
    cursor: pointer;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
  }
  .menu-block__swiper .menu-navigation .swiper-button-next-menu{
    border-left: 1px solid var(--wp--preset--color--maka-zytnia);
  }

  .menu-block__swiper .swiper-slide {
    display: flex;
    flex-direction: column;
    border-right: 1px solid;
    /* border-top: 1px solid; */
    border-color: var(--wp--preset--color--maka-zytnia);
  }

  .menu-block__swiper .swiper-slide:last-child {
    margin-left: -1px;
  }

  .swiper-slide .image-wrapper{
    width: 100%;
    aspect-ratio: 1/1;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    border-bottom: 1px solid var(--wp--preset--color--maka-zytnia);
  }

  .swiper-slide .image-wrapper img {
    max-width: 100%;
    height: auto;
	  object-fit: cover;
  }

  .swiper-slide h6 {
    margin-block-start: 0;
    margin-block-end: 10px;
  }
  .menu-block__price {
    display: flex;
    align-items: center;
    gap: 10px;
    font-weight: bold;
    color: var(--wp--preset--color--new-red);
    margin-block-start: 10px;
    margin-block-end: 26px;
  }

  .swiper-slide p {
    margin-block-start: 26px;
    margin-block-end: 26px;
  }
  .menu-block__tags {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }
  .menu-block__tags li {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 4px 12px;
    background: var(--wp--preset--color--maczna-biel);
    color: var(--wp--preset--color--cieply-orkisz);
    border-radius: 32px;
    font-size: 14px;
    width: fit-content;
  }

.product-details p {
	font-size: 14px;
}

  .product-details{
    overflow-y: auto;
    padding: 20px;
    margin: 1px;
    scrollbar-color: var(--wp--preset--color--maka-zytnia) var(--wp--preset--color--maczna-biel);
  }

  @media(min-width: 1600px){
    .menu-block__menu{
      flex: 0 0 25%;
    }
    .menu-block__content{
      flex: 1 0 75%;
    }
  }
  
  @media(max-width: 1100px){
    .menu-block__menu{
      padding: 24px;
    }
  }

  @media (max-width: 782px) {
    .menu-block__menu {
      display: none;
    }
    .menu-block__dropdown {
      display: block;
    }
    .menu-block {
      display: block;
      height: var(--mobile-container-height);
    }
    .menu-block__content {
      height: var(--mobile-content-height);
    }
    .menu-block__swiper .swiper-wrapper {
      height: var(--mobile-swiper-height);
    }
    .menu-block__swiper .swiper-slide{
      border-top: none;
    }
    .menu-block__text-mobile h2,
    .menu-block__text-mobile p{
      text-align: center;
      margin-block-start: 16px;
    }
    .menu-block__text-mobile p{
      margin-block-end: 16px;
    }
    .menu-block__text-mobile{
      display: block;
    }
    .menu-block__text {
      display: none;
    }
  }

  @media (max-width: 500px) {
    .product-details{
      padding: 10px;
    }

    :root{
      --mobile-container-height: 540px;
    }
  }
  